javax.persistence.spi

## Enum LoadState

- java.lang.Object
- - java.lang.Enum<LoadState>
  - - javax.persistence.spi.LoadState

- All Implemented Interfaces:
    Serializable, Comparable<LoadState>

      public enum LoadState
      extends Enum<LoadState>

  Load states returned by the `ProviderUtil` SPI methods.
  Since:
    Java Persistence 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOADED` The state of the element is known to have been loaded.
    `NOT_LOADED` The state of the element is known not to have been loaded.
    `UNKNOWN` The load state of the element cannot be determined.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoadState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoadState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOADED

          public static final LoadState LOADED

      The state of the element is known to have been loaded.

    - #### NOT_LOADED

          public static final LoadState NOT_LOADED

      The state of the element is known not to have been loaded.

    - #### UNKNOWN

          public static final LoadState UNKNOWN

      The load state of the element cannot be determined.

  - ### Method Detail

    - #### values

          public static LoadState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoadState c : LoadState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoadState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.